const {ccclass, property} = cc._decorator;

@ccclass
export default class Helloworld extends cc.Component {

    @property(cc.Label)
    label: cc.Label = null;

    @property
    text: string = 'hello';

    @property({type:cc.AudioClip})
    testaudio:cc.AudioClip = null;

    start () {
        // init logic
        this.label.string = this.text;
        cc.audioEngine.play( this.testaudio , true , 1 );
    }
}
